import request from '@/utils/request'


export function queryPage(query) {
  return request({
    url: 'system/storeRaffle/queryPage',
    method: 'get',
    params: query
  })
}

// 抽奖活动-选择商品
export function getRaffleSpuListPage(query) {
  return request({
    url: 'system/goods/getRaffleSpuListPage',
    method: 'get',
    params: query
  })
}

// 保存抽奖活动
export function storeRaffleSave(query) {
  return request({
    url: 'system/storeRaffle/saveOrUpdates',
    method: 'post',
    data: query
  })
}
// 详情
export function storeRaffleInfo(query) {
  return request({
    url: 'system/storeRaffle/info/' + query,
    method: 'get',
  })
}

export function storeRaffleRemove(query) {
  return request({
    url: 'system/storeRaffle/remove/' + query,
    method: 'get',
  })
}
